This forum is no longer active. Please post your questions to our new community site

problem in installing gems

Subscribe to problem in installing gems 2 post(s), 2 voice(s)

Avatar aziz 1 post

I have problems in installing gems that need to be compiled locally like hpricot.
others gems have no problem but I get this error whenever I’m trying to install a gem that need to be compiled:

checking for stdio.h… no
  • extconf.rb failed *
    Could not create Makefile due to some reason, probably lack of
    necessary libraries and/or headers. Check the mkmf.log file for more
    details. You may need configuration options.

Provided configuration options: —with-opt-dir —without-opt-dir —with-opt-include —without-opt-include=${opt-dir}/include —with-opt-lib —without-opt-lib=${opt-dir}/lib —with-make-prog —srcdir=. —curdir —ruby=C:/PROGRA1/BITNAM1/ruby/bin/ruby

Gem files will remain installed in C:/PROGRA1/BITNAM1/ruby/lib/ruby/gems/1.8/gems/hpricot-0.6.161 for inspection.
Results logged to C:/PROGRA1/BITNAM1/ruby/lib/ruby/gems/1.8/gems/hpricot-0.6.161/ext/fast_xs/gem_make.out

can anyone shed some light?

Avatar Manu 50 post(s)

Hi aziz!,

You are in the true, but you can install hpricot gem typing the following:

gem install hpricot—source

You can learn more abour hpricot at

I hope it helps you.